%def_enable stardictgtk
%def_disable stardict-plugin-espeak
%if_enabled stardictgtk
%define stardictgtkinstalldir %_builddir/%name-%version/gtkinstalldir/
%endif

Name: stardict
Version: 3.0.0
Release: alt1

Summary: StarDict dictionary
Summary(ru_RU.CP1251): StarDict 
License: GPL
Group: System/Internationalization
Url: http://%name.sourceforge.net
Requires: %{name}-common = %version

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Source1: stardict-gtk.desktop
Source2: ru.po
Patch0: stardict-3.0.0-alt-gtk.patch
Patch1: stardict-3.0.0-espeak.patch
Patch2: stardict-3.0.0-floatwin.patch

BuildPreReq: menu-devel

# Automatically added by buildreq on Tue Nov 13 2007
BuildRequires: gcc-c++ GConf imake libavahi-glib libdbus-glib libenchant-devel libgnome-keyring libgucharmap-devel libsigc++2.0-devel libSM-devel linux-libc-headers perl-XML-Parser scrollkeeper xorg-cf-files
%if_enabled stardict-plugin-espeak
BuildRequires: libespeak-devel
%endif

%description
StarDict is an international dictionary written for the GNOME environment. 
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%description -l ru_RU.CP1251
StarDict      GNOME .
     Motif/Lesstif  ,  
    GTK+.   :

-        -.
-    (  "wo?d*" )
-  
- Dock   
-     
-    ,  freedict, *quick, xdict,
  dict.org 

%package gnome
Summary: StarDict dictionary
Summary(ru_RU.CP1251): StarDict 
Group: System/Internationalization
Requires: %{name}-common = %version
Provides: %name = %version-%release

%description gnome
StarDict is an international dictionary written for the GNOME environment. 
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%description -l ru_RU.CP1251 gnome
StarDict      GNOME .
     Motif/Lesstif  ,  
    GTK+.   :

-        -.
-    (  "wo?d*" )
-  
- Dock   
-     
-    ,  freedict, *quick, xdict,
  dict.org 

%package gtk
Summary: StarDict dictionary gtk version
Summary(ru_RU.CP1251): StarDict  gtk 
Group: System/Internationalization
Requires: %{name}-common = %version
Provides: %name = %version-%release

%description gtk
StarDict is an international dictionary written for the GNOME environment. 
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries
  
This package contains version built without GNOME support.

%description -l ru_RU.CP1251 gtk
StarDict      GNOME .
     Motif/Lesstif  ,  
    GTK+.   :

-        -.
-    (  "wo?d*" )
-  
- Dock   
-     
-    ,  freedict, *quick, xdict,
  dict.org 

   ,    GNOME.

%package common
Summary: Common files for both stardict and stardict-gtk
Summary(ru_RU.CP1251):    stardict  stardict-gtk
Group: Development/Other
Conflicts: %name < 2.4.5

%description common
This package contains common files for both stardict and stardict-gtk
Also contains some plugins:
* advertisement
* html_parsedata
* man
* powerword_parsedata
* update_info
* wiki_parsedata
* xdxf_parsedata

%description -l ru_RU.CP1251 common
      stardict  stardict-gtk
   :
* advertisement
* html_parsedata
* man
* powerword_parsedata
* update_info
* wiki_parsedata
* xdxf_parsedata

%package plugin-espeak
Summary:  Espeak plugin
Group: System/Internationalization
Requires: %{name} = %version-%release

%description plugin-espeak
This package contains espeak plugin for stardict

%package plugin-gucharmap
Summary: Gucharmap plugin
Group: System/Internationalization
Requires: %{name} = %version-%release

%description plugin-gucharmap
This package contains gucharmap plugin for stardict

%package plugin-spell
Summary: Spell plugin
Group: System/Internationalization
Requires: %{name} = %version-%release

%description plugin-spell
This package contains spell plugin for stardict

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%__install -p -m644 %SOURCE2 po/ru.po

%build
%if_enabled stardictgtk
export LIBS=-lgthread-2.0
%configure \
 --disable-gnome-support \
 --enable-spell \
 --enable-gucharmap \
%if_enabled stardict-plugin-espeak
 --enable-espeak \
%else
 --disable-espeak \
%endif
 --disable-festival \
 --disable-gpe-support \
 --disable-maemo-support
 # libFestival still not packaged so don't add this feature
%make_build
%make_install install DESTDIR=%stardictgtkinstalldir
%endif
make clean
%configure \
 --disable-schemas-install \
 --enable-spell \
 --enable-gucharmap \
%if_enabled stardict-plugin-espeak
 --enable-espeak \
%else
 --disable-espeak \
%endif
 --disable-festival \
 --disable-gpe-support \
 --disable-maemo-support
%make_build

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %make_install DESTDIR=%buildroot \
	    scrollkeeper_localstate_dir=%buildroot%_var/lib/scrollkeeper \
	    install

%if_enabled stardictgtk
%__install -p gtkinstalldir/usr/bin/stardict %buildroot%_bindir/stardict-gtk
%__install -p -m644 %SOURCE1 %buildroot%_datadir/applications/
%endif

%find_lang --with-gnome %name

%post gnome
%update_scrollkeeper
%gconf2_install %name

%postun gnome
%clean_scrollkeeper

%files -f %name.lang common
%_datadir/%name
%_datadir/pixmaps/*
%_man1dir/*
%_libdir/%name/plugins/advertisement.*
%_libdir/%name/plugins/stardict_html_parsedata.*
%_libdir/%name/plugins/stardict_man.*
%_libdir/%name/plugins/stardict_powerword_parsedata.*
%_libdir/%name/plugins/stardict_update_info.*
%_libdir/%name/plugins/stardict_wiki_parsedata.*
%_libdir/%name/plugins/stardict_xdxf_parsedata.*
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%doc doc/{StarDictFileFormat,FAQ,HACKING,HowToCreateDictionary}

%files gnome
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/idl/*
%_libdir/bonobo/servers/*
%config %_sysconfdir/gconf/schemas/*.schemas

%if_enabled stardictgtk
%files gtk
%_bindir/%{name}-gtk
%_datadir/applications/%{name}-gtk.desktop
%endif

%if_enabled stardict-plugin-espeak
%files plugin-espeak
%_libdir/%name/plugins/stardict_espeak.*
%endif
%files plugin-gucharmap
%_libdir/%name/plugins/stardict_gucharmap.*
%files plugin-spell
%_libdir/%name/plugins/stardict_spell.*


%changelog
* Tue Nov 06 2007 Alex Murygin <murygin@altlinux.ru> 3.0.0-alt1
- new version
- added new translation
- spec cleaning
- fixed 12871 (wrong category for gtk version)
- fixed 12282 (menu file generation)
- added stardict-3.0.0-alt-gtk.patch
- added stardict-3.0.0-espeak.patch (from src.rpm of Hu Zheng)
- added stardict-3.0.0-floatwin.patch (from src.rpm of Hu Zheng)
- added new ru translation
- added plugins (new functionality)
  most of them are in common package
   advertisement
   html_parsedata
   man
   powerword_parsedata
   update_info
   wiki_parsedata
   xdxf_parsedata
  and some are in separate packages
   plugin-espeak (disabled by default due to libespeak-devel wrong packaging)
   plugin-gucharmap
   plugin-spell

* Thu Jul 13 2006 Alex Murygin <murygin@altlinux.ru> 2.4.8-alt1
- new version
- corrected name and exec for gtk version in menu [9755]
- tools package moved to separate package (upstream)
- new docs added

* Thu Jan 19 2006 Alex Murygin <murygin@altlinux.ru> 2.4.6-alt1
- new version
- added make clean between making gtk and gnome versions
- added following files into tools package and updated description
  stardict_verify - check installed dictionaries for errors
  hanzim2dict.py  - as an example for making stardict dictionaries with python help
- I didn't add the following tools because I didn't know if anybody asked for them
  21tech
  buddhist
  directory2treedic
  ec50
  jdictionary
  jm2stardict.py
  kdic
  olddic2newdic
  powerword
  soothill
  tabfile
  xmlinout

* Mon Aug 08 2005 Alex Murygin <murygin@altlinux.ru> 2.4.5-alt2
- added conflict to stardict < 2.4.5 for stardict-common

* Mon Aug 01 2005 Alex Murygin <murygin@altlinux.ru> 2.4.5-alt1
- new version
- added stardict-gtk package
- renamed main package to stardict-gnome
- moved common files to stardict-common package

* Sat Jun 18 2005 Alex Murygin <murygin@altlinux.ru> 2.4.4-alt1
- new version

* Thu Nov 11 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt4
- changed menu group to "Applications/Text tools"

* Thu Jul 29 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt3
- fixed menu
- changed summary (thanks Abel Cheung - Mandrake)
- added russian summary/description

* Thu Apr 29 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt2
- removed -DGTK_DISABLE_DEPRECATED

* Tue Mar 16 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt1
- new version
- added mova2dic to tools

* Thu Nov 20 2003 Alex Murygin <murygin@altlinux.ru> 2.4.2-alt1
- new version
- added stardict_dict_update to %{name}-tools
- deleted example.idxhead and added example.ifo

* Fri Aug 29 2003 Alex Murygin <murygin@altlinux.ru> 2.4.0-alt1
- new version
- regenerated buildreq

* Sun Jul 06 2003 Alex Murygin <murygin@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jun 09 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt2
- new version without version incrementation

* Sun Jun 01 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt1
- new version

* Wed May 28 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt2
- fixed clean_scrollkeeper postun script

* Wed May 21 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt1
- new version
- added package startdict-tools

* Sun May 04 2003 Alex Murygin <murygin@altlinux.ru> 2.0.0-alt1
- Initial revision.
